%global githash 53e9c76
%global gitdate 20120723
%global checkout %{gitdate}git%{githash}

Name:       gitflow
Version:    0.4.2.%{checkout}
Release:    %mkrel 5
Summary:    Extensions providing operations for V. Driessen's branching model

Group:      Development/Tools
License:    BSD
URL:        https://github.com/nvie/gitflow
# You can get this tarball by cloning the repository from github and checking
# out revision %%{githash}
Source0:    gitflow-0.4.2.%{checkout}.tar.gz
# There is no upstream ticket for this patch, but instead just hardcodes the
# directory we're installing to for Fedora.
Patch0:     gitflow-Appropriate-GITFLOW_DIR.patch

BuildArch:  noarch

Requires:       shflags
Requires:       git

%description
A collection of Git extensions to provide high-level repository operations
for Vincent Driessen's branching model ( http://nvie.com/git-model ).

For the best introduction to get started with `git flow`, please read Jeff
Kreeftmeijer's blog post:

  http://jeffkreeftmeijer.com/2010/why-arent-you-using-git-flow/

Or have a look at one of these screen casts:

* [A short introduction to git-flow]
  (http://vimeo.com/16018419) (by Mark Derricutt)
* [On the path with git-flow]
  (http://codesherpas.com/screencasts/on_the_path_gitflow.mov) (by Dave Bock)

%prep
%setup -q -n %{name}
%autopatch -p1

%build
# This section is empty because this package ccontains shell scripts
# to be sourced: there's nothing to build

%install
mkdir -p %{buildroot}/%{_bindir}
install -v -m 0755 git-flow %{buildroot}/%{_bindir}

target="%{buildroot}/%{_datadir}/%{name}"
mkdir -p "$target"
install -v -m 0644 git-flow-init "$target"
install -v -m 0644 git-flow-feature "$target"
install -v -m 0644 git-flow-hotfix "$target"
install -v -m 0644 git-flow-release "$target"
install -v -m 0644 git-flow-support "$target"
install -v -m 0644 git-flow-version "$target"
install -v -m 0644 gitflow-common "$target"

ln -s %{_datadir}/shflags/shflags "$target"/gitflow-shFlags

%files
%doc README.mdown LICENSE AUTHORS Changes.mdown
%{_bindir}/git-flow*
%{_datadir}/%{name}



%changelog
* Wed Feb 03 2016 umeabot <umeabot> 0.4.2.20120723git53e9c76-5.mga6
+ Revision: 933373
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2.20120723git53e9c76-4.mga5
+ Revision: 744805
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2.20120723git53e9c76-3.mga5
+ Revision: 679594
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.4.2.20120723git53e9c76-2.mga5
+ Revision: 580617
- Importing gitflow, based on the Fedora package


* Thu Jan 09 2014 Shlomi Fish <shlomif@shlomifish.org> 0.4.2.20120723git53e9c76-2.mga4
- Adapted for Mageia.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2.20120723git53e9c76-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 23 2012 Ralph Bean <rbean@redhat.com> - 0.4.2.20120723git53e9c76-1
- New checkout from upstream git for review process.

* Mon Jul 23 2012 Ralph Bean <rbean@redhat.com> - 0.4.2.20120626gitab7fda2-2
- Changed License field to BSD
- Dropped requirement on util-linux.
- Added comments for Source0 and Patch0
- Using macro for %%{gitdate} as well as %%{githash}

* Tue Jun 26 2012 Ralph Bean <rbean@redhat.com> - 0.4.2.20120626gitab7fda2-1
- Initial packaging for Fedora.
